Anyone for FusionPBX 4.4 with Freeswitch 1.8 on Stretch?

markjcrane

Member
Staff member
FusionPBX official install now works with FreeSWITCH 1.8 it only took changing 2 lines of code in the install script. We did not have support for it yet were waiting for the PostgreSQL driver that was added in 1.8.2 and that version was released yesterday 26 September 2018.
Official install instructions can be found here https://www.fusionpbx.com/download.php and https://github.com/fusionpbx/fusionpbx-install.sh.

Currently if you installed Debian 9 it will use FreeSWITCH 1.8 and if using Debian 8 it will use FreeSWITCH 1.6.
This has not been tested much with FusionPBX yet but it will likely work fine. It is still a good idea to do some of your own testing to certify its working well for everything you need. Or you can wait for others to do this and report back.
 
do you know about error about postegresql just after debian 8 or 9 installation script?

psql: could not connect to server: Connection refused
Is the server running on host "127.0.0.1" and accepting
TCP/IP connections on port 5432?
error: SQLSTATE[08006] [7] could not connect to server: Connection refused
Is the server running on host "localhost" (127.0.0.1) and accepting
TCP/IP connections on port 5432?<br/>